package cn.com.poc.covenant.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for ExtractionTaskQuery
 */
@Entity
public class ExtractionTaskQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     * id
     */
    private Integer id;

    @Column(name = "id")
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * task_id
     * task_id
     */
    private String taskId;

    @Column(name = "task_id")
    public String getTaskId() {
        return this.taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    private Long userId;

    @Column(name = "user_id")
    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * file_url
     * file_url
     */
    private String fileUrl;

    @Column(name = "file_url")
    public String getFileUrl() {
        return this.fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    /**
     * file_name
     * file_name
     */
    private String fileName;

    @Column(name = "file_name")
    public String getFileName() {
        return this.fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * actionType
     * 执行动作（审查，提取，对比）
     */
    private String actionType;

    @Column(name = "action_type", length = 100)
    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    /**
     * review_status
     * review_status
     */
    private String reviewStatus;

    @Column(name = "review_status")
    public String getReviewStatus() {
        return this.reviewStatus;
    }

    public void setReviewStatus(String reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    /**
     * review_error_msg
     * review_error_msg
     */
    private String reviewErrorMsg;

    @Column(name = "review_error_msg")
    public String getReviewErrorMsg() {
        return this.reviewErrorMsg;
    }

    public void setReviewErrorMsg(String reviewErrorMsg) {
        this.reviewErrorMsg = reviewErrorMsg;
    }

    /**
     * text_in_task_id
     * text_in_task_id
     */
    private String textInTaskId;

    @Column(name = "text_in_task_id")
    public String getTextInTaskId() {
        return this.textInTaskId;
    }

    public void setTextInTaskId(String textInTaskId) {
        this.textInTaskId = textInTaskId;
    }

    /**
     * contract_type
     * contract_type
     */
    private String contractType;

    @Column(name = "contract_type")
    public String getContractType() {
        return this.contractType;
    }

    public void setContractType(String contractType) {
        this.contractType = contractType;
    }

    /**
     * is_deleted
     * is_deleted
     */
    private String isDeleted;

    @Column(name = "is_deleted")
    public String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * CREATOR
     */
    private String creator;

    @Column(name = "CREATOR")
    public String getCreator() {
        return this.creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * CREATED_TIME
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * MODIFIER
     */
    private String modifier;

    @Column(name = "MODIFIER")
    public String getModifier() {
        return this.modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * MODIFIED_TIME
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

} 